{% extends 'base.html.twig' %}

{% block body %}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
        <div class="row my-3">
            <div class="col px-3 ">
                <a href="{{ path('group_providers_list') }}" class="btn btn-success btn-arrow-right btn-arrow-start">
                    Studenti
                </a>
            </div>
            <div class="col-auto"></div>
        </div>
        <div class="list-group">
            {% for provider in providers %}
                <a class="list-group-item" href="{{ path ('list_groups_in_provider', { 'providerId': provider.id }) }}">{{ provider.name|capitalize }}</a>

                {% if provider.sectors|length > 0 %}
                    <div class="list-group-item p-0">
                        <div class="list-group">
                            {% for sector in provider.sectors %}
                                <a class="list-group-item" href="{{ path('list_groups_in_provider', {'providerId': provider.id}) }}?sectorId={{ sector.id }}">{{ sector.name }}</a>
                            {% endfor %}
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>
</main>
{% endblock %}
